package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadWSStatusCommandResponse;

public class ReadWSStatusCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7832108805685215529L;

	@Override
	public Class<ReadWSStatusCommandResponse> getResponseClass() {
		return ReadWSStatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询温湿度报警状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READWSSTATUS;
	}

}
